Bug 228367 - devel/range-v3: update to 0.3.6
Summary: devel/range-v3: update to 0.3.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-19 21:21 UTC by Henry Hu
Modified: 2018-05-23 07:59 UTC (History)
1 user (show)

See Also:


Attachments
update to 0.3.6 (1.41 KB, patch)
2018-05-19 21:21 UTC, Henry Hu
henry.hu.sh: maintainer-approval+
Details | Diff
poudriere log on 10.4-RELEASE-p5/amd64 (18.04 KB, text/plain)
2018-05-19 21:22 UTC, Henry Hu
no flags Details
poudriere log on 11.1-STABLE/i386 (18.15 KB, text/plain)
2018-05-19 21:22 UTC, Henry Hu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2018-05-19 21:21:19 UTC
Created attachment 193541 [details]
update to 0.3.6

This patch updates devel/range-v3 to 0.3.6.
Changelog (from https://github.com/ericniebler/range-v3/releases/tag/0.3.6):

    0.3.6 May 15, 2018
        NEW: view::exclusive_scan (thanks to GitHub user @mitsutaka-takeda).
        All views get non-const overloads of .empty() and .size() (see ericniebler/stl2#793).
        Upgrade Conan support for conan 1.0.
        subspan interface tweaks.
        Fix bug in view::split (see this stackoverflow question).
        Fix bug in view::stride (see ericniebler/stl2#805).
        Fix const-correctness problem in view::chunk (see this stackoverflow question).
        Replace uses of ranges::result_of with ranges::invoke_result.
        Fix potential buffer overrun of view::drop over RandomAccessRanges.
        Lots of view::cartesian_product fixes (see ericniebler/stl2#820, ericniebler/stl2#823).
        Work around gcc-8 regression regarding volatile std::initializer_lists (see ericniebler/stl2#826).
        Fix const-correctness problem of view::take.
Comment 1 Henry Hu 2018-05-19 21:22:06 UTC
Created attachment 193542 [details]
poudriere log on 10.4-RELEASE-p5/amd64
Comment 2 Henry Hu 2018-05-19 21:22:30 UTC
Created attachment 193543 [details]
poudriere log on 11.1-STABLE/i386
Comment 3 Yuri Victorovich freebsd_committer 2018-05-23 07:59:20 UTC
Committed.
Thank you for the update!
Comment 4 commit-hook freebsd_committer 2018-05-23 07:59:47 UTC
A commit references this bug:

Author: yuri
Date: Wed May 23 07:59:16 UTC 2018
New revision: 470687
URL: https://svnweb.freebsd.org/changeset/ports/470687

Log:
  devel/range-v3: Update 0.3.5 -> 0.3.6

  PR:		228367
  Submitted by:	Henry Hu <henry.hu.sh@gmail.com> (maintainer)

Changes:
  head/devel/range-v3/Makefile
  head/devel/range-v3/distinfo
  head/devel/range-v3/pkg-plist